// purchase-tokens.js

// Set this to the route of your Cloudflare worker
const PURCHASE_TOKENS_WORKER_URL = 'https://token-purchase-worker.cloudflare463.workers.dev';

async function purchaseTokens(quantity) {
  const response = await fetch(PURCHASE_TOKENS_WORKER_URL, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({ quantity })
  });

  if (!response.ok) {
    // Handle error
    console.error('Failed to create Stripe checkout session');
    return;
  }

  const { id } = await response.json();

  const stripe = Stripe('pk_test_51NArmHHnGXkGzfHoKp0e4XtomrTcml9LUbe8eFTl8uPFe5fZWes6cSyL3WYUKUquNt4LCPRRQUMVzlcFcTHiAqt700hbcsIe4r');
  stripe.redirectToCheckout({ sessionId: id });
}
